#!/bin/bash

#######################################
#
# Arquivo: instalar_sgd.sh 
#
# Definição: Script para instalar o sistema SGD – Sistema de Gestão de Demandas v 1.0
#            com banco de dados MySql  
# Requisitos: Ubuntu 10.04/ Ubuntu Server 10
#
# Versão: 1.0 - 23/06/2010 - Este programa em shell
#
# Autor: Nayanne Araújo Bonifácio
# 
#######################################

#Definindo senha root do mysql
PWD_MYSQL=123


chmod +x instalar_sgd.sh

# Instala LAMP
echo 'Instalando Mysql...'
sudo apt-get -y install mysql-client mysql-server
echo 'Instalando Apache...'
sudo apt-get -y install apache2
echo 'Instalando Php5...'
sudo apt-get -y install libapache2-mod-php5
echo 'Instalando Phpmyadmin...'
sudo apt-get -y install phpmyadmin
echo 'Instalando biblioteca GD2'
sudo apt-get -y install libgd2-xpm

echo 'Extraindo sgd...'
#Extrai sgd.zip
cd ~/Download
mkdir ~/Download/SGD
unzip -d ~/Download/SGD sgd1.0-r1.zip

echo 'Copiando para servidor web...'
#Copia para o servidor web
sudo mkdir /var/www/SGD
sudo cp -R SGD/* /var/www/SGD

#Insere permissão de escrita na pasta /var/www e subpastas
sudo chmod a+rwx -R /var/www/SGD/

echo 'Baixando biblioteca fpdf 1.52 ...'
#Baixa biblioteca fpdf 1.52
wget --output-document=fpdf152.zip http://www.fpdf.org/en/dl.php?v=152\&f=zip

echo 'Extraindo fpdf...'
#Extrai fpdf.zip
cd ~/Download
mkdir ~/Download/fpdf152
unzip -d ~/Download/fpdf152 fpdf152.zip

#Substitui o arquivo fpdf.php
cd fpdf152/
cp -f ~/Download/fpdf152/fpdf.php /var/www/SGD/reports/pdf

echo 'Alterando arquivo relProjectsPDF.php...'
#Alterações no arquivo  relProjectsPDF.php
cd /var/www/SGD/reports
sed 's/fpdf.php/pdf\/fpdf.php/'  relProjectsPDF.php > relProjectsPDF2.php
sed 's/Output()/Output("saida.pdf","D")/' relProjectsPDF2.php > relProjectsPDF3.php
cp relProjectsPDF3.php relProjectsPDF.php
rm  relProjectsPDF2.php  relProjectsPDF3.php

echo 'Criando base de dados sgd...'
#Cria base de dados no mysql
mysql -u root -p$PWD_MYSQL -e "create database sgd"
echo 'Base de Dados SGD criada com sucesso'

echo 'Software SGD instalado e configurado.'

firefox "http://localhost/SGD/"
